Uses of Record Class
org.a2aproject.sdk.spec.GetTaskPushNotificationConfigParams
Packages that use GetTaskPushNotificationConfigParams
Package
Description
Common OpenTelemetry utilities and shared components for A2A Java SDK.
JSON-RPC 2.0 protocol message wrappers for the A2A Protocol.
JSON processing exceptions for the A2A Java SDK.
-
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.client
Methods in org.a2aproject.sdk.client with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionAbstractClient.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request) Retrieve the push notification configuration for a specific task.abstract TaskPushNotificationConfigAbstractClient.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Retrieve the push notification configuration for a specific task.Client.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Retrieve the push notification configuration for a task. -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.client.transport.grpc
Methods in org.a2aproject.sdk.client.transport.grpc with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionGrpcTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.client.transport.jsonrpc
Methods in org.a2aproject.sdk.client.transport.jsonrpc with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionJSONRPCTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.client.transport.rest
Methods in org.a2aproject.sdk.client.transport.rest with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionRestTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.client.transport.spi
Methods in org.a2aproject.sdk.client.transport.spi with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionClientTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Retrieve the push notification configuration for a specific task. -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.extras.opentelemetry
Methods in org.a2aproject.sdk.extras.opentelemetry with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionOpenTelemetryRequestHandlerDecorator.onGetTaskPushNotificationConfig(GetTaskPushNotificationConfigParams params, ServerCallContext context) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.extras.opentelemetry.client
Methods in org.a2aproject.sdk.extras.opentelemetry.client with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionOpenTelemetryClientTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.extras.opentelemetry.client.propagation
Methods in org.a2aproject.sdk.extras.opentelemetry.client.propagation with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionOpenTelemetryClientPropagatorTransport.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.grpc.mapper
Methods in org.a2aproject.sdk.grpc.mapper that return GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionGetTaskPushNotificationConfigParamsMapper.fromProto(GetTaskPushNotificationConfigRequest proto) Converts proto GetTaskPushNotificationConfigRequest to domain GetTaskPushNotificationConfigParams.GetTaskPushNotificationConfigParamsMapperImpl.fromProto(GetTaskPushNotificationConfigRequest proto) Methods in org.a2aproject.sdk.grpc.mapper with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionGetTaskPushNotificationConfigParamsMapper.toProto(GetTaskPushNotificationConfigParams domain) Converts domain GetTaskPushNotificationConfigParams to proto GetTaskPushNotificationConfigRequest.GetTaskPushNotificationConfigParamsMapperImpl.toProto(GetTaskPushNotificationConfigParams domain) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.grpc.utils
Methods in org.a2aproject.sdk.grpc.utils that return GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionProtoUtils.FromProto.getTaskPushNotificationConfigParams(GetTaskPushNotificationConfigRequestOrBuilder request) Methods in org.a2aproject.sdk.grpc.utils with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionProtoUtils.ToProto.getTaskPushNotificationConfigRequest(GetTaskPushNotificationConfigParams params) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.jsonrpc.common.wrappers
Methods in org.a2aproject.sdk.jsonrpc.common.wrappers with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionGetTaskPushNotificationConfigRequest.Builder.params(GetTaskPushNotificationConfigParams params) Sets the request parameters.Constructors in org.a2aproject.sdk.jsonrpc.common.wrappers with parameters of type GetTaskPushNotificationConfigParamsModifierConstructorDescriptionGetTaskPushNotificationConfigRequest(String jsonrpc, Object id, GetTaskPushNotificationConfigParams params) Constructs request with all parameters.Constructs request with ID and parameters. -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.server.requesthandlers
Methods in org.a2aproject.sdk.server.requesthandlers with parameters of type GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionAuthorizationRequestHandlerDecorator.onGetTaskPushNotificationConfig(GetTaskPushNotificationConfigParams params, ServerCallContext context) DefaultRequestHandler.onGetTaskPushNotificationConfig(GetTaskPushNotificationConfigParams params, ServerCallContext context) RequestHandler.onGetTaskPushNotificationConfig(GetTaskPushNotificationConfigParams params, ServerCallContext context) -
Uses of GetTaskPushNotificationConfigParams in org.a2aproject.sdk.spec
Methods in org.a2aproject.sdk.spec that return GetTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionGetTaskPushNotificationConfigParams.Builder.build()Builds the parameters instance.